oracle.pg.nosql

## Class DataChange

- java.lang.Object
- - oracle.pg.nosql.DataChange

- Direct Known Subclasses:
    EdgeChange, VertexChange

      public abstract class DataChange
      extends Object

  This class captures an action of change made to a particular data item (vertex or edge).

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DataChange.ChangeAction`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataChange.ChangeAction` | `getChangeAction()` This method returns the type of this change
    `Long` | `getEndSCN()`
    `Long` | `getID()` Return the ID of the element
    `String` | `getKey()` This method returns the key of the K/V
    `Long` | `getStartSCN()`
    `Object` | `getValue()` Return the value of the K/V
    `String` | `getXID()`
    `static String` | `pad(Long l, int length, char c)`
    `static String` | `pad(String s, int length, char c)`
    `static DataChange.ChangeAction` | `translateIntoChangeAction(String s)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getChangeAction

          public DataChange.ChangeAction getChangeAction()

      This method returns the type of this change

    - #### getEndSCN

          public Long getEndSCN()

    - #### getID

          public Long getID()

      Return the ID of the element

    - #### getKey

          public String getKey()

      This method returns the key of the K/V

    - #### getStartSCN

          public Long getStartSCN()

    - #### getValue

          public Object getValue()

      Return the value of the K/V

    - #### getXID

          public String getXID()

    - #### pad

          public static String pad(Long l,
                   int length,
                   char c)

    - #### pad

          public static String pad(String s,
                   int length,
                   char c)

    - #### translateIntoChangeAction

          public static DataChange.ChangeAction translateIntoChangeAction(String s)

Copyright © 2015 Oracle and/or its afflilates. All Rights Reserved.